stages:
  - init
  - build

version:
  stage: init
  image: alpine:latest
  script:
    - whoami
  tags:
    - docker

build-image:
    stage: build
    image: maven:3-jdk-11
    script: mvn --version
    tags:
    - docker

build-up:
  stage: build
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - docker build --pull -t alejandropalaciosnfq/javap:version1 .
    - docker push alejandropalaciosnfq/javap:version1
  tags:
    - shell
